Companies
Subir logo
Sube el logo de la empresa en formato imagen (multipart/form-data)
POST
/
api
/
companies
/
{idCompany}
/
logo
Subir logo
curl --request POST \
--url https://api.emify.co/api/companies/{idCompany}/logo \
--header 'Content-Type: multipart/form-data' \
--header 'X-Api-Key: <api-key>' \
--form logo='@example-file' \
--form 'apiKey={
"apiKeyId": "<string>",
"clientId": "<string>",
"accessibleCompanyIds": [
"<string>"
]
}'import requests
url = "https://api.emify.co/api/companies/{idCompany}/logo"
files = { "logo": ("example-file", open("example-file", "rb")) }
payload = { "apiKey": "{
\"apiKeyId\": \"<string>\",
\"clientId\": \"<string>\",
\"accessibleCompanyIds\": [
\"<string>\"
]
}" }
headers = {"X-Api-Key": "<api-key>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('logo', '<string>');
form.append('apiKey', '{
"apiKeyId": "<string>",
"clientId": "<string>",
"accessibleCompanyIds": [
"<string>"
]
}');
const options = {method: 'POST', headers: {'X-Api-Key': '<api-key>'}};
options.body = form;
fetch('https://api.emify.co/api/companies/{idCompany}/logo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"file_url": "https://storage.example.com/logos/company-123.png"
}{
"file_url": "https://storage.example.com/logos/company-123.png"
}{
"file_url": "https://storage.example.com/logos/company-123.png"
}Authorizations
Path Parameters
ID de la empresa
Response
Logo subido exitosamente
URL pública del logo de la empresa
Example:
"https://storage.example.com/logos/company-123.png"
⌘I
Subir logo
